services:
  - type: web
    name: kuores
    runtime: docker
    dockerfilePath: ./Dockerfile
    plan: standard
    envVars:
      - key: APP_NAME
        value: Kuores
      - key: APP_ENV
        value: production
      - key: APP_DEBUG
        value: false
      - key: APP_KEY
        value: base64:ybhz/hapcCvErFKMQ80nlKQm9ZIE4CADZVPXlJvsp6U=
      - key: APP_URL
        scope: runtime_only
      - key: DB_CONNECTION
        value: pgsql
      - key: DB_HOST
        scope: runtime_only
      - key: DB_PORT
        value: 5432
      - key: DB_DATABASE
        scope: runtime_only
      - key: DB_USERNAME
        scope: runtime_only
      - key: DB_PASSWORD
        scope: runtime_only
      - key: CACHE_STORE
        value: database
      - key: SESSION_DRIVER
        value: database
      - key: QUEUE_CONNECTION
        value: database
      - key: LOG_CHANNEL
        value: stack
      - key: LOG_LEVEL
        value: info
      - key: PORT
        value: 10000
    healthCheckPath: /
    preDeployCommand: |
      php artisan migrate --force
      php artisan config:cache
      php artisan route:cache
